<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class DiscountExternalTypeEnum
{
    public const EXT_TYPE_OFFER = 1;
    public const EXT_TYPE_DELIVERY = 2;
    public const EXT_TYPE_CART = 3;
    public const EXT_TYPE_PERSONAL = 4;
    public const EXT_TYPE_PROMO = 5;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::EXT_TYPE_OFFER,
            self::EXT_TYPE_DELIVERY,
            self::EXT_TYPE_CART,
            self::EXT_TYPE_PERSONAL,
            self::EXT_TYPE_PROMO,
        ];
    }
}
